import { IPublicModelResource } from '@alilc/lowcode-types';
import { IResource } from '@alilc/lowcode-workspace';
import { resourceSymbol } from '../symbols';
export declare class Resource implements IPublicModelResource {
    readonly [resourceSymbol]: IResource;
    constructor(resource: IResource);
    get title(): string;
    get id(): string;
    get icon(): any;
    get options(): {
        [key: string]: any;
    };
    get name(): string;
    get config(): {
        [key: string]: any;
    };
    get type(): string;
    get category(): string;
    get description(): string;
    get children(): IPublicModelResource[];
    get viewName(): any;
}
