"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _symbols = require("../symbols");
var _dragObject = require("./drag-object");
var LocateEvent = exports["default"] = /*#__PURE__*/function () {
  function LocateEvent(locateEvent) {
    this[_symbols.locateEventSymbol] = void 0;
    this[_symbols.locateEventSymbol] = locateEvent;
  }
  LocateEvent.create = function create(locateEvent) {
    if (!locateEvent) {
      return null;
    }
    return new LocateEvent(locateEvent);
  };
  return (0, _createClass2["default"])(LocateEvent, [{
    key: "type",
    get: function get() {
      return this[_symbols.locateEventSymbol].type;
    }
  }, {
    key: "globalX",
    get: function get() {
      return this[_symbols.locateEventSymbol].globalX;
    }
  }, {
    key: "globalY",
    get: function get() {
      return this[_symbols.locateEventSymbol].globalY;
    }
  }, {
    key: "originalEvent",
    get: function get() {
      return this[_symbols.locateEventSymbol].originalEvent;
    }
  }, {
    key: "target",
    get: function get() {
      return this[_symbols.locateEventSymbol].target;
    }
  }, {
    key: "canvasX",
    get: function get() {
      return this[_symbols.locateEventSymbol].canvasX;
    }
  }, {
    key: "canvasY",
    get: function get() {
      return this[_symbols.locateEventSymbol].canvasY;
    }
  }, {
    key: "dragObject",
    get: function get() {
      return _dragObject.DragObject.create(this[_symbols.locateEventSymbol].dragObject);
    }
  }]);
}();